<script>
import SvgIcon from "@/components/SvgIcon.vue";

export default {
  name: "ReSidebar",
  components: {
    SvgIcon,
  },
  props: {
    sideBarList: {
      type: Array,
      default: () => [],
      required: true,
    }, // 传数组, name 是底部名字, icon 是图标
    activeIndex: {
      type: Number,
      default: 0,
      required: true,
    }, // 默认选中项
  },
  computed: {
    active: {
      get() {
        return this.activeIndex;
      },
    },
    len() {
      return this.sideBarList.length <= 4 ? true : false;
    },
  },
  methods: {
    handleClick(clickedItem, index) {
      //   this.$router.push(clickedItem.path)
      this.$forceUpdate();
      this.$emit("click", clickedItem, index);
      if (clickedItem.name == "音响") {
        // this.$router.push('/yinx')这是一个静态图
        this.$router.push({
          path: "/setting",
          query: { activeId: 0, subActiveIdssss: 1 },
        });
      }
    },
  },
};
</script>

<template>
  <div class="sidebar-container">
    <slot name="header" />
    <div class="sidebar-container-main">
      <div
        v-for="(item, index) in sideBarList"
        :class="{
          'sidebar-container-main-item': true,
          active: active === index,
        }"
        :key="index"
        @click.stop="handleClick(item, index)"
        :style="len ? 'margin: 8px 0' : ''"
      >
        <!-- <div class="yd" v-if="item.name =='管理'&&active == !index "></div> -->
        <div class="sidebar-container-main-item-icon">
          <SvgIcon
            :icon-class="active == index ? item.a_icon : item.icon"
            class="icon"
          />
        </div>
        <span class="sidebar-container-main-item-name">{{ item.name }}</span>
      </div>
    </div>
  </div>
</template>

<style scoped lang="scss">
.yd {
  position: absolute;
  width: 10px;
  height: 10px;
  background-color: red;
  top: 28px;
  right: 64px;
  border-radius: 50%;
}
.sidebar-container {
  width: 230px;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: transparent;

  &-main {
    overflow-y: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: relative;
    width: 100%;
    // height: 100%;
    max-height: 900px;
    .sidebar-container-main-item.active::before {
      content: "";
      position: absolute;
      left: 0;
      top: 0;
      bottom: 0;
      width: 8px;
      background-color: #4293ee;
    }

    .active {
      color: #4293ee;
      background-color: #fff;
    }

    &-item {
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      position: relative;
      // margin: 10px 0;
      width: 100%;
      height: 166px;

      &-icon {
        display: flex;
        flex-direction: row;
        align-items: center;

        .icon {
          width: 54px;
          height: 54px;
        }
      }

      &-name {
        margin-top: 20px;
        font-size: 24px;
      }
    }
  }
}
</style>
